Manifest-Version: 1.0
Bnd-LastModified: 1716302078382
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Impl
Bundle-SymbolicName: com.liferay.portal.impl;singleton:=true
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 52.1.2
Created-By: 1.8.0_381 (Oracle Corporation)
DSTAMP: 20240521
Export-Package: com.liferay.portal.bean;version="4.0.0";uses:="com.lif
 eray.portal.kernel.bean,javax.servlet.http,org.springframework.contex
 t",com.liferay.portal.dao.orm.hibernate;version="6.2.0";uses:="com.li
 feray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.petr
 a.string,com.liferay.portal.kernel.dao.orm,org.hibernate,org.hibernat
 e.criterion,org.hibernate.dialect,org.hibernate.dialect.pagination,or
 g.hibernate.engine.spi,org.hibernate.property.access.internal,org.hib
 ernate.property.access.spi,org.hibernate.type,org.hibernate.usertype"
 ,com.liferay.portal.deploy.hot;version="7.0.0";uses:="com.liferay.por
 tal.kernel.deploy.hot,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.plugin,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.configuration,com.liferay.portal.kernel.service.pers
 istence,com.liferay.portal.kernel.url,com.liferay.portal.kernel.util,
 com.liferay.portal.kernel.xml,javax.servlet,org.osgi.framework",com.l
 iferay.portal.events;version="7.0.0";uses:="com.liferay.portal.kernel
 .deploy.hot,com.liferay.portal.kernel.events,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.upgrade,javax.servlet.http",com.lif
 eray.portal.freemarker;version="1.0.2",com.liferay.portal.minifier;ve
 rsion="2.0.0",com.liferay.portal.plugin;version="3.0.0";uses:="com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.plugin,com.liferay.portal.kernel.xml,javax.servlet
 ",com.liferay.portal.security.auth;version="5.0.0";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.portlet,com.liferay.portal.kernel.security.auth,com.lif
 eray.portal.kernel.security.auth.verifier,com.liferay.portal.kernel.s
 pring.osgi,javax.security.auth.callback,javax.servlet.http",com.lifer
 ay.portal.security.lang;version="2.0.0",com.liferay.portal.service.ht
 tp;version="9.0.0";uses:="com.liferay.announcements.kernel.model,com.
 liferay.petra.function,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.repository.model,com.liferay.portal.kernel.search,com.lifer
 ay.portal.kernel.security.auth,com.liferay.portal.kernel.service,com.
 liferay.portal.kernel.util,javax.portlet",com.liferay.portal.service.
 permission;version="3.2.0";uses:="com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.a
 uth,com.liferay.portal.kernel.security.permission,com.liferay.portal.
 kernel.service.permission,com.liferay.portal.kernel.spring.osgi,javax
 .portlet",com.liferay.portal.service.persistence.constants;version="1
 .0.0",com.liferay.portal.servlet;version="10.0.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.servlet,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.xml,javax.servlet,javax.servlet.http",com.liferay.portal.ser
 vlet.filters;version="1.0.0";uses:="com.liferay.portal.kernel.log,com
 .liferay.portal.kernel.servlet,javax.servlet.http",com.liferay.portal
 .servlet.filters.authverifier;version="1.0.2";uses:="com.liferay.port
 al.servlet.filters,javax.servlet,javax.servlet.http",com.liferay.port
 al.spring.configurator;version="1.0.0";uses:="org.springframework.con
 text",com.liferay.portal.template;version="4.0.0";uses:="com.liferay.
 portal.kernel.cache,com.liferay.portal.kernel.spring.osgi,com.liferay
 .portal.kernel.template,javax.portlet,javax.servlet.http",com.liferay
 .portal.tools;version="10.1.0";uses:="com.liferay.portal.kernel.dao.d
 b,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.io.un
 sync,com.liferay.portal.kernel.xml",com.liferay.portal.upgrade.util;v
 ersion="6.0.0";uses:="com.liferay.portal.kernel.upgrade,com.liferay.p
 ortal.kernel.upgrade.util",com.liferay.portal.upgrade.v7_0_0;version=
 "6.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.k
 ernel.settings,com.liferay.portal.kernel.upgrade,com.liferay.portal.k
 ernel.util,javax.portlet",com.liferay.portal.upgrade.v7_0_5;version="
 3.0.0";uses:="com.liferay.portal.kernel.upgrade",com.liferay.portal.u
 pgrade.v7_1_x;version="5.0.0";uses:="com.liferay.portal.kernel.upgrad
 e,com.liferay.portal.kernel.upgrade.util,com.liferay.portal.upgrade.u
 til",com.liferay.portal.upload;version="4.0.0";uses:="com.liferay.por
 tal.kernel.servlet,com.liferay.portal.kernel.upload,javax.portlet,jav
 ax.servlet,javax.servlet.http",com.liferay.portal.util;version="34.3.
 0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.process,
 com.liferay.portal.kernel.configuration,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.openid,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.repository,com.liferay.portal.kernel.reposit
 ory.event,com.liferay.portal.kernel.security.permission,com.liferay.p
 ortal.kernel.settings,com.liferay.portal.kernel.theme,com.liferay.por
 tal.kernel.upload,com.liferay.portal.kernel.util,com.liferay.portal.k
 ernel.xml,javax.portlet,javax.servlet,javax.servlet.http,org.xml.sax"
 ,com.liferay.portal.xml;version="1.3.0";uses:="com.liferay.portal.ker
 nel.security.xml,com.liferay.portal.kernel.util,com.liferay.portal.ke
 rnel.xml,javax.xml.stream,org.dom4j,org.dom4j.io,org.dom4j.tree,org.x
 ml.sax",com.liferay.portlet;version="8.1.0";uses:="com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.portlet,com.liferay.portal.kernel.security.auth,com.liferay.po
 rtal.kernel.servlet,com.liferay.portal.kernel.template,com.liferay.po
 rtal.kernel.theme,com.liferay.portal.kernel.transaction,com.liferay.p
 ortal.kernel.util,javax.portlet,javax.portlet.filter,javax.servlet,ja
 vax.servlet.http,javax.xml.stream",com.liferay.portlet.asset;version=
 "2.2.0",com.liferay.portlet.asset.model.impl;version="5.0.0";uses:="c
 om.liferay.asset.kernel.model,com.liferay.expando.kernel.model,com.li
 feray.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.model.impl,com.liferay.portal.kernel.service,com.lif
 eray.portlet.asset.util",com.liferay.portlet.asset.service.permission
 ;version="3.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.security.permission,c
 om.liferay.portal.kernel.spring.osgi",com.liferay.portlet.asset.util;
 version="4.0.0";uses:="com.liferay.asset.kernel.service.persistence,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.search,c
 om.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.secu
 rity.permission",com.liferay.portlet.documentlibrary;version="1.1.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 settings",com.liferay.portlet.documentlibrary.asset;version="2.0.0";u
 ses:="com.liferay.asset.kernel.model,com.liferay.document.library.ker
 nel.model,com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.repository.model",com.life
 ray.portlet.documentlibrary.lar;version="2.0.0";uses:="com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.repository.model",com
 .liferay.portlet.documentlibrary.service.permission;version="3.0.0";u
 ses:="com.liferay.document.library.kernel.model,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.repository.model,com.liferay
 .portal.kernel.security.permission,com.liferay.portal.kernel.spring.o
 sgi",com.liferay.portlet.documentlibrary.store;version="4.0.0";uses:=
 "com.liferay.document.library.kernel.store,com.liferay.portal.kernel.
 exception",com.liferay.portlet.documentlibrary.util;version="7.0.0";u
 ses:="com.liferay.document.library.kernel.model,com.liferay.document.
 library.kernel.util,com.liferay.exportimport.kernel.lar,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.repository.model,com
 .liferay.portal.kernel.search,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.theme,com.liferay.portal.kernel.util,com.liferay
 .portal.kernel.xml,javax.portlet",com.liferay.portlet.expando.model.i
 mpl;version="2.1.0";uses:="com.liferay.expando.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.model.impl,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.util",com.liferay.po
 rtlet.layoutsadmin.display.context;version="1.0.2";uses:="com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.util,javax.servlet.htt
 p",com.liferay.portlet.usersadmin.search;version="1.1.0";uses:="com.l
 iferay.portal.kernel.dao.search,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.search,javax
 .portlet"
Git-Descriptor: 0faf4fee57115-dirty
Git-SHA: 0faf4fee57115375a49692304f04befd96a7aafe
Import-Package: com.liferay.admin.kernel.util,com.liferay.announcement
 s.kernel.exception,com.liferay.announcements.kernel.model,com.liferay
 .announcements.kernel.service,com.liferay.announcements.kernel.servic
 e.persistence,com.liferay.asset.kernel,com.liferay.asset.kernel.excep
 tion,com.liferay.asset.kernel.model,com.liferay.asset.kernel.model.ad
 apter,com.liferay.asset.kernel.service,com.liferay.asset.kernel.servi
 ce.persistence,com.liferay.asset.kernel.util,com.liferay.asset.kernel
 .validator,com.liferay.background.task.kernel.util.comparator,com.lif
 eray.counter.kernel.model,com.liferay.counter.kernel.service,com.life
 ray.counter.kernel.service.persistence,com.liferay.document.library.k
 ernel.antivirus,com.liferay.document.library.kernel.document.conversi
 on,com.liferay.document.library.kernel.exception,com.liferay.document
 .library.kernel.model,com.liferay.document.library.kernel.service,com
 .liferay.document.library.kernel.service.persistence,com.liferay.docu
 ment.library.kernel.store,com.liferay.document.library.kernel.util,co
 m.liferay.document.library.kernel.util.comparator,com.liferay.documen
 t.library.kernel.versioning,com.liferay.dynamic.data.mapping.kernel,c
 om.liferay.expando.kernel.exception,com.liferay.expando.kernel.model,
 com.liferay.expando.kernel.model.adapter,com.liferay.expando.kernel.s
 ervice,com.liferay.expando.kernel.service.permission,com.liferay.expa
 ndo.kernel.service.persistence,com.liferay.expando.kernel.util,com.li
 feray.exportimport.kernel.configuration,com.liferay.exportimport.kern
 el.controller,com.liferay.exportimport.kernel.exception,com.liferay.e
 xportimport.kernel.lar,com.liferay.exportimport.kernel.lifecycle,com.
 liferay.exportimport.kernel.model,com.liferay.exportimport.kernel.ser
 vice,com.liferay.exportimport.kernel.service.persistence,com.liferay.
 exportimport.kernel.staging,com.liferay.exportimport.kernel.staging.p
 ermission,com.liferay.layout.admin.kernel.model,com.liferay.layout.ad
 min.kernel.util,com.liferay.layout.admin.kernel.visibility,com.lifera
 y.mail.kernel.model,com.liferay.mail.kernel.service,com.liferay.mail.
 kernel.template,com.liferay.mail.kernel.util,com.liferay.osgi.service
 .tracker.collections.list,com.liferay.osgi.service.tracker.collection
 s.map,com.liferay.petra.concurrent,com.liferay.petra.executor,com.lif
 eray.petra.function,com.liferay.petra.io,com.liferay.petra.io.unsync,
 com.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio
 ,com.liferay.petra.portlet.url.builder,com.liferay.petra.process,com.
 liferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.petra.sql
 .dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql.dsl.exp
 ression,com.liferay.petra.sql.dsl.expression.step,com.liferay.petra.s
 ql.dsl.query,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.s
 ql.dsl.spi.ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.p
 etra.string,com.liferay.petra.url.pattern.mapper,com.liferay.petra.xm
 l,com.liferay.portal.bean;version="[4.0,5)",com.liferay.portal.freema
 rker;version="[1.0,2)",com.liferay.portal.kernel.annotation,com.lifer
 ay.portal.kernel.aop,com.liferay.portal.kernel.application.type,com.l
 iferay.portal.kernel.audit,com.liferay.portal.kernel.backgroundtask,c
 om.liferay.portal.kernel.bean,com.liferay.portal.kernel.cache,com.lif
 eray.portal.kernel.cache.index,com.liferay.portal.kernel.cache.key,co
 m.liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel.
 change.tracking,com.liferay.portal.kernel.cluster,com.liferay.portal.
 kernel.comment,com.liferay.portal.kernel.concurrent,com.liferay.porta
 l.kernel.configuration,com.liferay.portal.kernel.dao.db,com.liferay.p
 ortal.kernel.dao.jdbc,com.liferay.portal.kernel.dao.jdbc.aop,com.life
 ray.portal.kernel.dao.jdbc.pool.metrics,com.liferay.portal.kernel.dao
 .orm,com.liferay.portal.kernel.dao.search,com.liferay.portal.kernel.d
 ependency.manager,com.liferay.portal.kernel.deploy.auto,com.liferay.p
 ortal.kernel.deploy.auto.context,com.liferay.portal.kernel.deploy.hot
 ,com.liferay.portal.kernel.editor.configuration,com.liferay.portal.ke
 rnel.encryptor,com.liferay.portal.kernel.events,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.facebook,com.liferay.portal.
 kernel.format,com.liferay.portal.kernel.frontend.icons,com.liferay.po
 rtal.kernel.frontend.source.map,com.liferay.portal.kernel.image,com.l
 iferay.portal.kernel.increment,com.liferay.portal.kernel.instance.lif
 ecycle,com.liferay.portal.kernel.internal.service.permission,com.life
 ray.portal.kernel.interval,com.liferay.portal.kernel.io,com.liferay.p
 ortal.kernel.io.unsync,com.liferay.portal.kernel.jndi,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.language,com.liferay.portal.kernel.layoutconfiguration.
 util,com.liferay.portal.kernel.layoutconfiguration.util.xml,com.lifer
 ay.portal.kernel.license,com.liferay.portal.kernel.license.messaging,
 com.liferay.portal.kernel.license.util,com.liferay.portal.kernel.lock
 ,com.liferay.portal.kernel.log,com.liferay.portal.kernel.login,com.li
 feray.portal.kernel.messaging,com.liferay.portal.kernel.messaging.asy
 nc,com.liferay.portal.kernel.messaging.proxy,com.liferay.portal.kerne
 l.messaging.sender,com.liferay.portal.kernel.metadata,com.liferay.por
 tal.kernel.mobile.device,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.model.adapter,com.liferay.portal.kernel.model.adapter.b
 uilder,com.liferay.portal.kernel.model.change.tracking,com.liferay.po
 rtal.kernel.model.dao,com.liferay.portal.kernel.model.impl,com.lifera
 y.portal.kernel.model.portlet,com.liferay.portal.kernel.model.role,co
 m.liferay.portal.kernel.module.framework,com.liferay.portal.kernel.mo
 dule.framework.service,com.liferay.portal.kernel.module.util,com.life
 ray.portal.kernel.notifications,com.liferay.portal.kernel.openid,com.
 liferay.portal.kernel.patcher,com.liferay.portal.kernel.plugin,com.li
 feray.portal.kernel.poller,com.liferay.portal.kernel.poller.comet,com
 .liferay.portal.kernel.pop,com.liferay.portal.kernel.portlet,com.life
 ray.portal.kernel.portlet.async,com.liferay.portal.kernel.portlet.bri
 dges.mvc,com.liferay.portal.kernel.portlet.configuration.icon,com.lif
 eray.portal.kernel.portlet.render,com.liferay.portal.kernel.portlet.t
 oolbar,com.liferay.portal.kernel.portletfilerepository,com.liferay.po
 rtal.kernel.process,com.liferay.portal.kernel.redirect,com.liferay.po
 rtal.kernel.repository,com.liferay.portal.kernel.repository.capabilit
 ies,com.liferay.portal.kernel.repository.event,com.liferay.portal.ker
 nel.repository.friendly.url.resolver,com.liferay.portal.kernel.reposi
 tory.model,com.liferay.portal.kernel.repository.proxy,com.liferay.por
 tal.kernel.repository.registry,com.liferay.portal.kernel.repository.u
 til,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.kern
 el.sanitizer,com.liferay.portal.kernel.scheduler,com.liferay.portal.k
 ernel.scheduler.messaging,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.search.facet.faceted.searcher,com.liferay.portal.kern
 el.search.filter,com.liferay.portal.kernel.search.generic,com.liferay
 .portal.kernel.search.reindexer,com.liferay.portal.kernel.security,co
 m.liferay.portal.kernel.security.access.control,com.liferay.portal.ke
 rnel.security.auth,com.liferay.portal.kernel.security.auth.http,com.l
 iferay.portal.kernel.security.auth.session,com.liferay.portal.kernel.
 security.auth.tunnel,com.liferay.portal.kernel.security.auth.verifier
 ,com.liferay.portal.kernel.security.auto.login,com.liferay.portal.ker
 nel.security.exportimport,com.liferay.portal.kernel.security.ldap,com
 .liferay.portal.kernel.security.membershippolicy,com.liferay.portal.k
 ernel.security.permission,com.liferay.portal.kernel.security.permissi
 on.comparator,com.liferay.portal.kernel.security.permission.contribut
 or,com.liferay.portal.kernel.security.permission.propagator,com.lifer
 ay.portal.kernel.security.permission.resource,com.liferay.portal.kern
 el.security.permission.wrapper,com.liferay.portal.kernel.security.pwd
 ,com.liferay.portal.kernel.security.service.access.policy,com.liferay
 .portal.kernel.security.sso,com.liferay.portal.kernel.security.xml,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.service.con
 figuration,com.liferay.portal.kernel.service.configuration.servlet,co
 m.liferay.portal.kernel.service.http,com.liferay.portal.kernel.servic
 e.permission,com.liferay.portal.kernel.service.persistence,com.lifera
 y.portal.kernel.service.persistence.change.tracking,com.liferay.porta
 l.kernel.service.persistence.change.tracking.helper,com.liferay.porta
 l.kernel.service.persistence.impl,com.liferay.portal.kernel.servlet,c
 om.liferay.portal.kernel.servlet.filters.compoundsessionid,com.lifera
 y.portal.kernel.servlet.filters.invoker,com.liferay.portal.kernel.ser
 vlet.taglib,com.liferay.portal.kernel.servlet.taglib.aui,com.liferay.
 portal.kernel.servlet.taglib.ui,com.liferay.portal.kernel.servlet.tag
 lib.util,com.liferay.portal.kernel.settings,com.liferay.portal.kernel
 .social,com.liferay.portal.kernel.spring.aop,com.liferay.portal.kerne
 l.spring.orm,com.liferay.portal.kernel.spring.osgi,com.liferay.portal
 .kernel.struts,com.liferay.portal.kernel.systemevent,com.liferay.port
 al.kernel.template,com.liferay.portal.kernel.templateparser,com.lifer
 ay.portal.kernel.theme,com.liferay.portal.kernel.transaction,com.life
 ray.portal.kernel.trash,com.liferay.portal.kernel.trash.helper,com.li
 feray.portal.kernel.tree,com.liferay.portal.kernel.upgrade,com.lifera
 y.portal.kernel.upgrade.util,com.liferay.portal.kernel.upload,com.lif
 eray.portal.kernel.url,com.liferay.portal.kernel.url.validator,com.li
 feray.portal.kernel.util,com.liferay.portal.kernel.util.comparator,co
 m.liferay.portal.kernel.uuid,com.liferay.portal.kernel.verify.model,c
 om.liferay.portal.kernel.version,com.liferay.portal.kernel.view.count
 ,com.liferay.portal.kernel.webcache,com.liferay.portal.kernel.webdav,
 com.liferay.portal.kernel.webdav.methods,com.liferay.portal.kernel.we
 bserver,com.liferay.portal.kernel.words,com.liferay.portal.kernel.wor
 kflow,com.liferay.portal.kernel.workflow.comparator,com.liferay.porta
 l.kernel.workflow.permission,com.liferay.portal.kernel.xml,com.lifera
 y.portal.kernel.xml.simple,com.liferay.portal.kernel.xmlrpc,com.lifer
 ay.portal.kernel.zip,com.liferay.portal.log4j,com.liferay.portal.plug
 in;version="[3.0,4)",com.liferay.portal.service.http;version="[9.0,10
 )",com.liferay.portal.service.permission;version="[3.2,4)",com.lifera
 y.portal.service.persistence.constants;version="[1.0,2)",com.liferay.
 portal.servlet.filters;version="[1.0,2)",com.liferay.portal.spring.co
 nfigurator;version="[1.0,2)",com.liferay.portal.upgrade.v7_0_5;versio
 n="[3.0,4)",com.liferay.portal.upgrade.v7_1_x;version="[5.0,6)",com.l
 iferay.portal.upload;version="[4.0,5)",com.liferay.portlet.asset.mode
 l.impl;version="[5.0,6)",com.liferay.portlet.asset.service.permission
 ;version="[3.0,4)",com.liferay.portlet.asset.util;version="[4.0,5)",c
 om.liferay.portlet.configuration.kernel.util,com.liferay.portlet.docu
 mentlibrary;version="[1.1,2)",com.liferay.portlet.documentlibrary.ass
 et;version="[2.0,3)",com.liferay.portlet.expando.model.impl;version="
 [2.1,3)",com.liferay.portlet.usersadmin.search;version="[1.1,2)",com.
 liferay.ratings.kernel.exception,com.liferay.ratings.kernel.model,com
 .liferay.ratings.kernel.service,com.liferay.ratings.kernel.service.pe
 rsistence,com.liferay.ratings.kernel.transformer,com.liferay.roles.ad
 min.kernel.util,com.liferay.sites.kernel.util,com.liferay.social.kern
 el.exception,com.liferay.social.kernel.model,com.liferay.social.kerne
 l.model.impl,com.liferay.social.kernel.service,com.liferay.social.ker
 nel.service.permission,com.liferay.social.kernel.service.persistence,
 com.liferay.social.kernel.util,com.liferay.social.kernel.util.compara
 tor,com.liferay.trash.kernel.exception,com.liferay.trash.kernel.model
 ,com.liferay.trash.kernel.service,com.liferay.trash.kernel.service.pe
 rsistence,com.liferay.users.admin.kernel.file.uploads,com.liferay.use
 rs.admin.kernel.organization.types,com.liferay.users.admin.kernel.uti
 l,com.liferay.util,com.liferay.util.dao.orm,com.liferay.util.portlet,
 com.liferay.util.servlet,com.liferay.util.servlet.filters,com.liferay
 .util.xml,com.liferay.util.xml.descriptor,com.thoughtworks.qdox,com.t
 houghtworks.qdox.model,com.zaxxer.hikari,de.hunsicker.io,de.hunsicker
 .jalopy,de.hunsicker.jalopy.storage,freemarker.cache,freemarker.templ
 ate,javax.activation,javax.crypto,javax.crypto.spec,javax.imageio,jav
 ax.imageio.stream,javax.mail,javax.mail.internet,javax.management,jav
 ax.naming,javax.net.ssl,javax.portlet,javax.portlet.annotations,javax
 .portlet.filter,javax.security.auth.callback,javax.servlet,javax.serv
 let.http,javax.sql,javax.xml.namespace,javax.xml.parsers,javax.xml.st
 ream,javax.xml.stream.events,javax.xml.transform,javax.xml.transform.
 dom,javax.xml.transform.stream,jodd.bean,jodd.introspector,jodd.json,
 jodd.json.impl,jodd.json.meta,jodd.typeconverter,jodd.typeconverter.i
 mpl,jodd.util,org.apache.commons.configuration,org.apache.commons.lan
 g.builder,org.apache.commons.lang.time,org.apache.commons.logging,org
 .apache.logging.log4j,org.apache.logging.log4j.core,org.apache.xerces
 .parsers,org.apache.xerces.xni,org.dom4j,org.dom4j.io,org.dom4j.tree,
 org.hibernate,org.hibernate.boot,org.hibernate.boot.registry,org.hibe
 rnate.boot.spi,org.hibernate.cfg,org.hibernate.context.spi,org.hibern
 ate.criterion,org.hibernate.dialect,org.hibernate.dialect.function,or
 g.hibernate.dialect.pagination,org.hibernate.engine.jdbc.dialect.inte
 rnal,org.hibernate.engine.jdbc.dialect.spi,org.hibernate.engine.jdbc.
 spi,org.hibernate.engine.spi,org.hibernate.event.internal,org.hiberna
 te.event.service.spi,org.hibernate.event.spi,org.hibernate.exception,
 org.hibernate.id,org.hibernate.integrator.spi,org.hibernate.internal,
 org.hibernate.internal.util,org.hibernate.jdbc,org.hibernate.mapping,
 org.hibernate.metamodel.spi,org.hibernate.persister.entity,org.hibern
 ate.property.access.internal,org.hibernate.property.access.spi,org.hi
 bernate.query,org.hibernate.resource.jdbc.spi,org.hibernate.service,o
 rg.hibernate.service.spi,org.hibernate.stat,org.hibernate.stat.spi,or
 g.hibernate.type,org.hibernate.type.spi,org.hibernate.usertype,org.ja
 bsorb,org.jabsorb.serializer,org.jaxen,org.jaxen.function,org.json,or
 g.osgi.framework,org.osgi.framework.launch,org.osgi.framework.wiring,
 org.osgi.util.tracker,org.postgresql,org.postgresql.largeobject,org.s
 pringframework.aop,org.springframework.aop.framework,org.springframew
 ork.aop.support,org.springframework.beans,org.springframework.beans.f
 actory,org.springframework.beans.factory.config,org.springframework.b
 eans.factory.support,org.springframework.beans.factory.xml,org.spring
 framework.context,org.springframework.context.support,org.springframe
 work.core,org.springframework.core.io,org.springframework.core.io.sup
 port,org.springframework.jdbc.datasource,org.springframework.orm.hibe
 rnate5,org.springframework.transaction,org.springframework.transactio
 n.interceptor,org.springframework.transaction.support,org.springframe
 work.util,org.springframework.web.context,org.springframework.web.con
 text.support,org.w3c.dom,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Sep 09 00:00:00 PDT 2022
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Tue May 21 07:34:36 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Fixed-Issues: LPE-17814,LPS-167139,LPS-169664,LPS-18029
 9,LPS-201603
Liferay-Portal-Installed-Patches: hotfix-5505-7413
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 41 (Cavanaugh / Build 7413 / September 9, 2022)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 41
Liferay-Service: true
Private-Package: com.liferay.portal.events.dependencies,com.liferay.po
 rtal.deploy.dependencies,com.liferay.portal.tools.dependencies,com.li
 feray.portlet.blogs.dependencies,com.liferay.portlet.admin.dependenci
 es,com.liferay.portal.tools.sql.dependencies,com.liferay.portlet.port
 letdisplaytemplate.dependencies,com.liferay.portlet.announcements.dep
 endencies,com.liferay.portal.tools.propertiesdoc.dependencies,com.lif
 eray.portlet.messageboards.dependencies,com.liferay.portlet.documentl
 ibrary.dependencies,com.liferay.portal.servlet.filters.dynamiccss.dep
 endencies,com.liferay.portlet.sites.dependencies,com.liferay.portal.w
 ebserver.dependencies,com.liferay.portal.dependencies,com.liferay.cou
 nter.model,com.liferay.counter.model.impl,com.liferay.counter,com.lif
 eray.counter.service.base,com.liferay.counter.service.impl,com.lifera
 y.counter.service.persistence,com.liferay.counter.service.persistence
 .impl,com.liferay.mail.dependencies.fedora.ksh,com.liferay.mail.depen
 dencies.fedora.sendmail,com.liferay.mail.internal,com.liferay.mail.me
 ssaging,com.liferay.mail,com.liferay.mail.service.impl,com.liferay.ma
 il.util,com.liferay.portal.action,com.liferay.portal.cache.key,com.li
 feray.portal.cache.thread.local,com.liferay.portal.ccpp,com.liferay.p
 ortal.change.tracking.registry,com.liferay.portal.change.tracking.sql
 ,com.liferay.portal.change.tracking.store,com.liferay.portal.configur
 ation,com.liferay.portal.convert,com.liferay.portal.convert.documentl
 ibrary,com.liferay.portal.convert.messaging,com.liferay.portal.dao.db
 ,com.liferay.portal.dao.init,com.liferay.portal.dao.jdbc,com.liferay.
 portal.dao.jdbc.aop,com.liferay.portal.dao.jdbc.pool.metrics,com.life
 ray.portal.dao.jdbc.postgresql,com.liferay.portal.dao.jdbc.spring,com
 .liferay.portal.dao.jdbc.util,com.liferay.portal.dao.orm.common,com.l
 iferay.portal.dao.orm.hibernate.event,com.liferay.portal.dao.orm.hibe
 rnate.jmx,com.liferay.portal.dao.sql.transformer,com.liferay.portal.d
 b.partition,com.liferay.portal.definitions,com.liferay.portal.deploy,
 com.liferay.portal.deploy.auto,com.liferay.portal.deploy.dependencies
 .images.liferay-ui,com.liferay.portal.deploy.hot.messaging,com.lifera
 y.portal.editor.configuration,com.liferay.portal.ee.license,com.lifer
 ay.portal.ee.license.a,com.liferay.portal.facebook,com.liferay.portal
 .format,com.liferay.portal.image,com.liferay.portal.increment,com.lif
 eray.portal.internal.change.tracking.hibernate,com.liferay.portal.int
 ernal.cluster,com.liferay.portal.internal.dao.sql.transformer,com.lif
 eray.portal.internal.errors,com.liferay.portal.internal.increment,com
 .liferay.portal.internal.messaging.async,com.liferay.portal.internal.
 minifier,com.liferay.portal.internal.security.permission.contributor,
 com.liferay.portal.internal.service.util,com.liferay.portal.internal.
 servlet,com.liferay.portal.json,com.liferay.portal.json.data,com.life
 ray.portal.json.jabsorb.serializer,com.liferay.portal.json.transforme
 r,com.liferay.portal.jsonwebservice,com.liferay.portal.language,com.l
 iferay.portal.layoutconfiguration.util,com.liferay.portal.layoutconfi
 guration.util.velocity,com.liferay.portal.layoutconfiguration.util.xm
 l,com.liferay.portal.license,com.liferay.portal.license.a,com.liferay
 .portal.license.classloader,com.liferay.portal.license.util,com.lifer
 ay.portal.linkback,com.liferay.portal.liveusers,com.liferay.portal.li
 veusers.messaging,com.liferay.portal.log,com.liferay.portal.messaging
 .proxy,com.liferay.portal.model,com.liferay.portal.model.adapter.buil
 der,com.liferay.portal.model.adapter.impl,com.liferay.portal.model.im
 pl,com.liferay.portal.module.framework,com.liferay.portal.module.util
 ,com.liferay.portal.notifications,com.liferay.portal.patcher,com.life
 ray.portal.poller,com.liferay.portal.poller.comet,com.liferay.portal.
 poller.messaging,com.liferay.portal.repository,com.liferay.portal.rep
 ository.capabilities,com.liferay.portal.repository.capabilities.util,
 com.liferay.portal.repository.external,com.liferay.portal.repository.
 liferayrepository,com.liferay.portal.repository.liferayrepository.mod
 el,com.liferay.portal.repository.liferayrepository.social,com.liferay
 .portal.repository.portletrepository,com.liferay.portal.repository.re
 gistry,com.liferay.portal.repository.temporaryrepository,com.liferay.
 portal.repository.util,com.liferay.portal.search,com.liferay.portal.s
 earch.dependencies.spellchecker,com.liferay.portal.security.access.co
 ntrol,com.liferay.portal.security.auth.http,com.liferay.portal.securi
 ty.auth.registry,com.liferay.portal.security.auth.session,com.liferay
 .portal.security.auth.tunnel,com.liferay.portal.security.jaas,com.lif
 eray.portal.security.membershippolicy,com.liferay.portal.security.per
 mission,com.liferay.portal.security.pwd,com.liferay.portal.security.s
 so,com.liferay.portal.security.xml,com.liferay.portal,com.liferay.por
 tal.service,com.liferay.portal.service.base,com.liferay.portal.servic
 e.impl,com.liferay.portal.service.persistence.impl,com.liferay.portal
 .servlet.delegate,com.liferay.portal.servlet.filters.absoluteredirect
 s,com.liferay.portal.servlet.filters.aggregate,com.liferay.portal.ser
 vlet.filters.autologin,com.liferay.portal.servlet.filters.cache,com.l
 iferay.portal.servlet.filters.dynamiccss,com.liferay.portal.servlet.f
 ilters.etag,com.liferay.portal.servlet.filters.fragment,com.liferay.p
 ortal.servlet.filters.gzip,com.liferay.portal.servlet.filters.header,
 com.liferay.portal.servlet.filters.i18n,com.liferay.portal.servlet.fi
 lters.ignore,com.liferay.portal.servlet.filters.language,com.liferay.
 portal.servlet.filters.lockout,com.liferay.portal.servlet.filters.pas
 sword.modified,com.liferay.portal.servlet.filters.secure,com.liferay.
 portal.servlet.filters.servletauthorizing,com.liferay.portal.servlet.
 filters.servletcontextinclude,com.liferay.portal.servlet.filters.sess
 ionid,com.liferay.portal.servlet.filters.sessionmaxallowed,com.lifera
 y.portal.servlet.filters.strip,com.liferay.portal.servlet.filters.the
 mepreview,com.liferay.portal.servlet.filters.threaddump,com.liferay.p
 ortal.servlet.filters.threadlocal,com.liferay.portal.servlet.filters.
 unsyncprintwriterpool,com.liferay.portal.servlet.filters.util,com.lif
 eray.portal.servlet.filters.validhostname,com.liferay.portal.servlet.
 filters.virtualhost,com.liferay.portal.servlet.filters.weblogic,com.l
 iferay.portal.servlet.filters.websphere,com.liferay.portal.servlet.ta
 glib.ui,com.liferay.portal.setup,com.liferay.portal.sharepoint,com.li
 feray.portal.sharepoint.dws,com.liferay.portal.sharepoint.methods,com
 .liferay.portal.spring.aop,com.liferay.portal.spring.bean,com.liferay
 .portal.spring.compat,com.liferay.portal.spring.context,com.liferay.p
 ortal.spring.hibernate,com.liferay.portal.spring.override,com.liferay
 .portal.spring.transaction,com.liferay.portal.spring.util,com.liferay
 .portal.struts,com.liferay.portal.struts.constants,com.liferay.portal
 .struts.model,com.liferay.portal.subscription.social,com.liferay.port
 al.systemevent,com.liferay.portal.templateparser,com.liferay.portal.t
 heme,com.liferay.portal.tools.comparator,com.liferay.portal.tools.dep
 loy,com.liferay.portal.tools.jspc.common,com.liferay.portal.tools.pro
 pertiesdoc,com.liferay.portal.tools.sql,com.liferay.portal.transactio
 n,com.liferay.portal.typeconverter,com.liferay.portal.upgrade,com.lif
 eray.portal.upgrade.v6_1_1,com.liferay.portal.upgrade.v6_2_0,com.life
 ray.portal.upgrade.v6_2_0.util,com.liferay.portal.upgrade.v7_0_0.util
 ,com.liferay.portal.upgrade.v7_0_1,com.liferay.portal.upgrade.v7_0_3,
 com.liferay.portal.upgrade.v7_0_6,com.liferay.portal.upgrade.v7_2_x,c
 om.liferay.portal.upgrade.v7_2_x.util,com.liferay.portal.upgrade.v7_3
 _x,com.liferay.portal.upgrade.v7_4_x,com.liferay.portal.uuid,com.life
 ray.portal.verify,com.liferay.portal.verify.model,com.liferay.portal.
 webcache,com.liferay.portal.webdav,com.liferay.portal.webdav.methods,
 com.liferay.portal.webserver,com.liferay.portal.workflow,com.liferay.
 portal.workflow.comparator,com.liferay.portal.workflow.permission,com
 .liferay.portal.xml.xpath,com.liferay.portal.xmlrpc,com.liferay.porta
 l.zip,com.liferay.portlet.admin.util,com.liferay.portlet.announcement
 s.model,com.liferay.portlet.announcements.model.impl,com.liferay.port
 let.announcements,com.liferay.portlet.announcements.service.base,com.
 liferay.portlet.announcements.service.http,com.liferay.portlet.announ
 cements.service.impl,com.liferay.portlet.announcements.service.permis
 sion,com.liferay.portlet.announcements.service.persistence.impl,com.l
 iferay.portlet.asset.action,com.liferay.portlet.asset.model.adapter.b
 uilder,com.liferay.portlet.asset.model.adapter.impl,com.liferay.portl
 et.asset.service.base,com.liferay.portlet.asset.service.http,com.life
 ray.portlet.asset.service.impl,com.liferay.portlet.asset.service.pers
 istence.impl,com.liferay.portlet.asset.util.comparator,com.liferay.po
 rtlet.documentlibrary.asset.model,com.liferay.portlet.documentlibrary
 .constants,com.liferay.portlet.documentlibrary.messaging,com.liferay.
 portlet.documentlibrary.model.impl,com.liferay.portlet.documentlibrar
 y.service.base,com.liferay.portlet.documentlibrary.service.http,com.l
 iferay.portlet.documentlibrary.service.impl,com.liferay.portlet.docum
 entlibrary.service.persistence.impl,com.liferay.portlet.documentlibra
 ry.sharepoint,com.liferay.portlet.documentlibrary.social,com.liferay.
 portlet.documentlibrary.util.comparator,com.liferay.portlet.documentl
 ibrary.webdav,com.liferay.portlet.expando,com.liferay.portlet.expando
 .service.base,com.liferay.portlet.expando.service.http,com.liferay.po
 rtlet.expando.service.impl,com.liferay.portlet.expando.service.permis
 sion,com.liferay.portlet.expando.service.persistence.impl,com.liferay
 .portlet.expando.util.comparator,com.liferay.portlet.exportimport.mod
 el.impl,com.liferay.portlet.exportimport,com.liferay.portlet.exportim
 port.service.base,com.liferay.portlet.exportimport.service.http,com.l
 iferay.portlet.exportimport.service.impl,com.liferay.portlet.exportim
 port.service.persistence.impl,com.liferay.portlet.exportimport.stagin
 g,com.liferay.portlet.extra.config,com.liferay.portlet.internal,com.l
 iferay.portlet.layoutsadmin.util,com.liferay.portlet.portletconfigura
 tion.action,com.liferay.portlet.portletconfiguration,com.liferay.port
 let.portletconfiguration.util,com.liferay.portlet.ratings.model.impl,
 com.liferay.portlet.ratings,com.liferay.portlet.ratings.service.base,
 com.liferay.portlet.ratings.service.http,com.liferay.portlet.ratings.
 service.impl,com.liferay.portlet.ratings.service.persistence.impl,com
 .liferay.portlet.rolesadmin.search,com.liferay.portlet.rolesadmin.uti
 l,com.liferay.portlet.sites.action,com.liferay.portlet.sites.search,c
 om.liferay.portlet.sites.util,com.liferay.portlet.sitesadmin.search,c
 om.liferay.portlet.social.model.impl,com.liferay.portlet.social,com.l
 iferay.portlet.social.service.base,com.liferay.portlet.social.service
 .http,com.liferay.portlet.social.service.impl,com.liferay.portlet.soc
 ial.service.permission,com.liferay.portlet.social.service.persistence
 .impl,com.liferay.portlet.social.util,com.liferay.portlet.trash,com.l
 iferay.portlet.trash.service.http,com.liferay.portlet.usergroupsadmin
 .search,com.liferay.portlet.usersadmin.util,custom-sql,resource-actio
 ns
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
TODAY: May 21 2024
Tool: Bnd-3.5.0.201709291849
TSTAMP: 0734
